class Bohrmaschine:
	"""
	Erstellt das Objekt Bohrmaschine für einen Baumarkt.
	"""
	anzahl = 0
	def __init__(self, art, le, ma, pr):
		"""
		Initialisiert ein neues Objekt Bohrmaschine
		
		Argumente:
		* Artikelnummer (int): Artikelnummer de Produkts
		* Leistung (int): Leistungsaufnahme in Watt
		* Marke (string): Marke der Bohrmaschine
		* Preis (int): Verkaufspreis
		"""
		
		self.__Artikelnummer = art
		self.__Leistung = le
		self.__Marke = ma
		self.__Preis = pr
		
		Bohrmaschine.anzahl += 1
		
	def __del__(self):
		"""
		Löscht das Objekt Bohrmaschine.
		"""
		Bohrmaschine.anzahl -=1
		
	def getArtikelnummer(self):
		"""
		Gibt die Artikelnummer der Bohrmaschine zurück.
		"""
		return self.__Artikelnummer

		
	def getLeistung(self):
		"""
		Gibt die Leistung der Bohrmaschine zurück.
		"""
		return self.__Leistung
		
	def getMarke(self):
		"""
		Gibt die Marke der Bohrmaschine zurück.
		"""
		return self.__Marke

	def getPreis(self):
		"""
		Gibt den Preis der Bohrmaschine zurück.
		"""
		return self.__Preis

	def setPreis(self, preis_neu):
		"""
		Ändert den Preis der Bohrmaschine
		"""
			
		if abs(self.__Preis - preis_neu) < self.__Preis * 0.1:
			self.__Preis = preis_neu
		else:
			print("Die Abweichung zum vorherigen Preis ist sehr groß.")
			bestaetigung = input("Soll %d als neuer Preis"%preis_neu +
			"festgelegt werden?(ja/nein)")
			if bestaetigung == "ja":
				self.__Preis = preis_neu


class Bohrhammer(Bohrmaschine):
	"""
	Erstellt das Objekt Akkuschrauber: abgeleitet von der Klasse Bohrmaschine.
	"""
	def __init__(self, art, le, ma, pr, es, sz):
		"""
		Initialisiert ein neues Objekt Akkuschrauber
		
		Argumente:
		* Artikelnummer (int): Artikelnummer de Produkts
		* Leistung (int): Leistungsaufnahme in Watt
		* Marke (string): Marke der Bohrmaschine
		* Preis (int): Verkaufspreis
		* Staerke (float): Die Einzelschlagstärke un Joule
		* Schlagzahl (int): Die Anzahl der Schläge pro Minute
		"""
		Bohrmaschine.__init__(self, art, le, ma, pr)
		self.__Staerke = es
		self.__Schlagzahl = sz

	def getStaerke(self):
		"""
		Gibt die Einzelschlagstärke zurück.
		"""
		return self.__Staerke
		
	def getSchlagzahl(self):
		"""
		Gibt die Schlagzahl zurück.
		"""
		return self.__Schlagzahl
		

bohrhammer1 = Bohrhammer(10035, 400, "Black & Decker", 46.99, 1.8, 900)
print(bohrhammer1.getArtikelnummer(), bohrhammer1.getLeistung(),
bohrhammer1.getMarke(), bohrhammer1.getPreis(),
bohrhammer1.getStaerke(), bohrhammer1.getSchlagzahl())
