class Bohrmaschine:
	"""
	Erstellt das Objekt Bohrmaschine für einen Baumarkt.
	"""
	anzahl = 0
	def __init__(self, art, le, ma, pr):
		"""
		Initialisiert ein neues Objekt Bohrmaschine
		
		Argumente:
		* Artikelnummer (int): Artikelnummer de Produkts
		* Leistung (int): Leistungsaufnahme in Watt
		* Marke (string): Marke der Bohrmaschine
		* Preis (int): Verkaufspreis
		"""
		
		self.__Artikelnummer = art
		self.__Leistung = le
		self.__Marke = ma
		self.__Preis = pr
		
		Bohrmaschine.anzahl += 1
		
	def __del__(self):
		"""
		Löscht das Objekt Bohrmaschine.
		"""
		Bohrmaschine.anzahl -=1
		
	def getArtikelnummer(self):
		"""
		Gibt die Artikelnummer der Bohrmaschine zurück.
		"""
		return self.__Artikelnummer

		
	def getLeistung(self):
		"""
		Gibt die Leistung der Bohrmaschine zurück.
		"""
		return self.__Leistung
		
	def getMarke(self):
		"""
		Gibt die Marke der Bohrmaschine zurück.
		"""
		return self.__Marke

	def getPreis(self):
		"""
		Gibt den Preis der Bohrmaschine zurück.
		"""
		return self.__Preis

	def setPreis(self, preis_neu):
		"""
		Ändert den Preis der Bohrmaschine
		"""
			
		if abs(self.__Preis - preis_neu) < self.__Preis * 0.1:
			self.__Preis = preis_neu
		else:
			print("Die Abweichung zum vorherigen Preis ist sehr groß.")
			bestaetigung = input("Soll %d als neuer Preis"%preis_neu +
			"festgelegt werden?(ja/nein)")
			if bestaetigung == "ja":
				self.__Preis = preis_neu


class Akkuschrauber(Bohrmaschine):
	"""
	Erstellt das Objekt Akkuschrauber: abgeleitet von der Klasse Bohrmaschine.
	"""
	def __init__(self, art, le, ma, pr, sp):
		"""
		Initialisiert ein neues Objekt Akkuschrauber
		
		Argumente:
		* Artikelnummer (int): Artikelnummer de Produkts
		* Leistung (int): Leistungsaufnahme in Watt
		* Marke (string): Marke der Bohrmaschine
		* Preis (int): Verkaufspreis
		* Akkuspannung (int): Die Akkuspannung des Geräts
		"""
		Bohrmaschine.__init__(self, art, le, ma, pr)
		self.__Akkuspannung = sp

	def getAkkuspannung(self):
		"""
		Gibt die Akkuspannung zurück.
		"""
		return self.__Akkuspannung
		



akkuschrauber1 = Akkuschrauber(10035, 400, "Black & Decker", 46.99, 18)
print(akkuschrauber1.getAkkuspannung())
print(akkuschrauber1.getMarke())



