from tkinter import *
import sqlite3
from sqlite3 import Error

class Anzeigen(Button):
	def anzeigen (self):
		
		fenster = Tk()
		fenster.geometry("500x400")
		fenster.title("Sortiment anzeigen")
		rahmen = Frame(fenster, relief="ridge", borderwidth=5)
		rahmen.pack(fill="both", expand = 1)

		
		label = Label(rahmen, text = "Das Sortiment des Baumarkts:")
		label.config(font=("Arial", 14, "bold"))
		label.pack(pady = 20)
		
		rahmen2 = Frame(rahmen, relief="ridge", borderwidth=1)
		rahmen2.pack(pady = 20, padx = 10)
		
		scrollbar = Scrollbar(rahmen2)

		liste = Listbox(rahmen2, yscrollcommand = scrollbar.set,
		width = 50)
		
		try:
			db = sqlite3.connect("baumarkt.db")
			befehl = """CREATE TABLE IF NOT EXISTS Bohrmaschinen (
						Artikelnummer INTEGER PRIMARY KEY,
						Leistung INTEGER,
						Marke TEXT,
						Preis REAL,
						Anzahl INTEGER
					);"""
			c = db.cursor()
			c.execute(befehl)
			

			befehl = """SELECT COUNT(*) from Bohrmaschinen;"""
			c.execute(befehl)
			anzahl = c.fetchone()
			
			if anzahl[0] == 0:
				ausgabe = "Keine Artikel im Sortiment enthalten."			
				liste.insert(END, ausgabe)
			else:
				befehl = """SELECT * FROM Bohrmaschinen;"""
				c.execute(befehl)
				inhalt = c.fetchall()
				for zeile in inhalt: 
					ausgabe = "Artikelnummer: " + str(zeile[0])
					liste.insert(END, ausgabe)
					ausgabe = "Leistung: " + str(zeile[1])
					liste.insert(END, ausgabe)
					ausgabe = "Marke: " + str(zeile[2])
					liste.insert(END, ausgabe)
					ausgabe = "Preis: " + str(zeile[3])
					liste.insert(END, ausgabe)
					ausgabe = "Vorhandene Stückzahl: " + str(zeile[4])
					liste.insert(END, ausgabe)
					ausgabe = " "
					liste.insert(END, ausgabe)

		except Error as e:
			print(e)
		finally:
			db.close()

		scrollbar.config(command=liste.yview)

		liste.pack(side="left", fill = "both")
		scrollbar.pack(side = "left", fill = "y")
		
		button = Button(rahmen,text="OK", command=fenster.destroy,
		width = 10, height = 2)
		button.config(font=("Arial", 10))
		button.pack(pady = 10)

		fenster.mainloop()
