from tkinter import *
import sqlite3
from sqlite3 import Error

class Hinzufuegen(Button):
	
	def hinzufuegen(self):
	
		class EingabeButton(Button):
			
	
			def aktion1 (self):
				try:
					db = sqlite3.connect("baumarkt.db")
					befehl = """CREATE TABLE IF NOT EXISTS Bohrmaschinen (
								Artikelnummer INTEGER PRIMARY KEY,
								Leistung INTEGER,
								Marke TEXT,
								Preis REAL,
								Anzahl INTEGER
							);"""
					c = db.cursor()
					c.execute(befehl)
					
					befehl = """SELECT COUNT(*) from Bohrmaschinen
						WHERE Artikelnummer = ?;"""
					c.execute(befehl, (eingabe1.get(),))
					anzahl = c.fetchone()
					if anzahl[0] == 0:
						befehl = """ INSERT INTO Bohrmaschinen (Artikelnummer, 
							Leistung, Marke, Preis, Anzahl) VALUES (?, ?, ?, ?, ?); """
						werte = (eingabe1.get(), eingabe2.get(), 
						eingabe3.get(), eingabe4.get(), eingabe5.get())
						c.execute(befehl, werte)
						db.commit()
					else:
						befehl = """SELECT Anzahl from Bohrmaschinen
							WHERE Artikelnummer = ?;"""
						c.execute(befehl, (eingabe1.get(),))
						anzahl_alt = c.fetchone()
						anzahl_neu = anzahl_alt[0] + int(eingabe5.get())
						befehl = """UPDATE Bohrmaschinen SET Anzahl = ? 
							WHERE Artikelnummer = ?"""
						c.execute(befehl, (anzahl_neu, eingabe1.get()))
						db.commit()
						
					fenster.destroy()
					
					fenster2 = Tk()

					fenster2.geometry("400x200")
					fenster2.title("Artikel hinzugefügt!")
					rahmen2 = Frame(fenster2, relief="ridge", borderwidth=5)
					rahmen2.pack(fill="both", expand = 1)

					label2 = Label(rahmen2, text="Der Artikel wurde "+
					"erfolgreich zum Sortiment hinzugefügt.")
					label2.pack(expand = 1)

					button2 = Button(rahmen2,text="OK", command=fenster2.destroy)
					button2.pack(side = "bottom", pady = 5)
					fenster2.mainloop()
					
					
				except Error as e:
					print(e)
				finally:
					db.close()
				
				
				
		
		
		fenster = Tk()
		
		fenster.geometry("550x400")
		fenster.title("Waren zum Sortiment hinzufügen")
		rahmen = Frame(fenster, relief="ridge", borderwidth=5)
		rahmen.pack(fill="both", expand = 1)
		
		
		labelHaupt = Label(rahmen, text = "Geben Sie die Daten des "+
		"neuen Produkts ein:")
		labelHaupt.config(font=("Arial", 14, "bold"))
		labelHaupt.place(x = 50, y = 10)

		
		label1 = Label(rahmen, text = "Artikelnummer:")
		label1.place(x = 100, y = 100)
		eingabe1 = Entry(rahmen, bd = 2, width = 22)
		eingabe1.place(x = 200, y = 100)
		
		label2 = Label(rahmen, text = "Leistung:")
		label2.place(x = 100, y = 140)
		eingabe2 = Entry(rahmen, bd = 2, width = 22)
		eingabe2.place(x = 200, y = 140)
		
		label3 = Label(rahmen, text = "Marke:")
		label3.place(x = 100, y = 180)
		eingabe3 = Entry(rahmen, bd = 2, width = 22)
		eingabe3.place(x = 200, y = 180)
		
		label4 = Label(rahmen, text = "Preis:")
		label4.place(x = 100, y = 220)
		eingabe4 = Entry(rahmen, bd = 2, width = 22)
		eingabe4.place(x = 200, y = 220)
		
		label5 = Label(rahmen, text = "Stückzahl:")
		label5.place(x = 100, y = 260)
		eingabe5 = Entry(rahmen, bd = 2, width = 22)
		eingabe5.place(x = 200, y = 260)
		
		
		button = EingabeButton(rahmen,text="Eingabe")
		button["command"] = button.aktion1
		button.place(x = 180, y = 320)
		
		
		
		fenster.mainloop()
	
